<?php
/**
 * sample code for GiroCheckout integration of a tools get transaction api call
 *
 * @filesource
 * @package Samples
 * @version $Revision: 53 $ / $Date: 2014-08-11 17:11:05 +0200 (Mo, 11 Aug 2014) $
 */
require_once '../../GiroCheckout_SDK/GiroCheckout_SDK.php';

/**
 * configuration of the merchants identifier, project and password
 * this information can be found in the GiroCockpit's project settings
 */
$merchantID = 0000000;
$projectID = 0000;
$projectPassword = 0000000000;


/* get transaction information */
try {
	$request = new GiroCheckout_SDK_Request('getTransactionTool');
	$request->setSecret($projectPassword);
	$request->addParam('merchantId',$merchantID)
	        ->addParam('projectId',$projectID)
	        ->addParam('reference','')
	    //the hash field is auto generated by the SDK
	        ->submit();
	
	
	/* if request succeeded*/
	if($request->requestHasSucceeded())
	{
	    $request->getResponseParam('rc');
	    $request->getResponseParam('msg');
	    $request->getResponseParam('reference');
	    $request->getResponseParam('merchantTxId');
	    $request->getResponseParam('backendTxId');
	    $request->getResponseParam('amount');
	    $request->getResponseParam('currency');
	    $request->getResponseParam('resultPayment');
	    $request->getResponseParam('resultAVS');
	}
	
	/* if the request did not succeed */
	else {
	   $request->getResponseParam('rc');
	   $request->getResponseParam('msg');
	   $request->getResponseMessage($request->getResponseParam('rc'),'DE');
	}
}
catch (Exception $e) { }